package com.xintong.visualinspection.visuallnspection_fjq.dao;

import com.xintong.visualinspection.bean.CheckApply_F;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface CheckApplyDao  {
    public List<CheckApply_F> getList(CheckApply_F param);
    public CheckApply_F getOne(Long id);
    public CheckApply_F getOneByTaskId(Long id);
    public void insert(CheckApply_F checkApply);
    public void update(CheckApply_F checkApply);
    public void delete(Long id);
    public List<CheckApply_F> getTopReasonList(Map<String, Object> param);
}
